Subject: bug#5998: 23.1.96; Breadcrumbs defeat C-u 1 C-v in Info

From: Juri Linkov <[email-masked]>
Date: Fri, 23 Apr 2010 21:08:47 +0300

>> > For that, I'd request a separate bug report, with a clear recipe to
>> > reproduce ``the bug'' and an explanation what behavior was expected.
>>
>> I tried to create a clear recipe to reproduce it:
>>
>> (progn
>>   (goto-char (point-min))
>>   (insert "line 0\nline 1\nline 2\nline 3\n")
>>   (narrow-to-region (+ 7 (point-min)) (point-max))
>>   (let ((ov (make-overlay (point-min) (+ 6 (point-min)))))
>>     (overlay-put ov 'invisible t)
>>     (overlay-put ov 'after-string "after-string 1")
>>     (overlay-put ov 'evaporate t))
>>   (goto-char (point-min))
>>   (scroll-up 1))
>>
>> but it doesn't fail.  Something more from Info mode affects it.
>
> Okay, but why do you think the bug is in redisplay?

It seems the bug is somewhere in `move_it_by_lines'.
I don't know whether it is redisplay or not.

-- 
Juri Linkov
http://www.jurta.org/emacs/